Loading...
Searching...
No Matches
Opm::TimeStampUTC Class Reference

## Classes

struct | YMD

## Public Member Functions

| TimeStampUTC (const std::time_t tp)
| TimeStampUTC (const YMD &ymd)
| TimeStampUTC (int year, int month, int day)
| TimeStampUTC (const YMD &ymd, int hour, int minutes, int seconds, int usec)
TimeStampUTC & | operator= (const std::time_t tp)
bool | operator== (const TimeStampUTC &data) const
TimeStampUTC & | hour (const int h)
TimeStampUTC & | minutes (const int m)
TimeStampUTC & | seconds (const int s)
TimeStampUTC & | microseconds (const int us)
const YMD & | ymd () const
int | year () const
int | month () const
int | day () const
int | hour () const
int | minutes () const
int | seconds () const
int | microseconds () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

The documentation for this class was generated from the following files:

- opm/common/utility/TimeService.hpp
- opm/common/utility/TimeService.cpp